<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van RCMR_IN000102NL - File Download and Validation Response</title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>
    
    <pattern is-a="transmission-wrapper" id="RCMR_IN000102NL-wrapper">
        <param name="element" value="hl7:RCMR_IN000102NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="RCMR_IN000102NL-controlAct">
        <param name="element" value="hl7:RCMR_IN000102NL/hl7:ControlActProcess"/>
    </pattern>
    
    <pattern>
        <!-- profileId -->
        <rule context="hl7:RCMR_IN000102NL/hl7:profileId">
            <extends rule="II"/>
            <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
                >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
        </rule>
        <rule context="hl7:RCMR_IN000102NL/hl7:acceptAckCode">
            <extends rule="CS"/>
            <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
        </rule>
        <rule context="hl7:RCMR_IN000102NL/hl7:attentionLine">
            <assert role="warning" test="not(.)">Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
        </rule>
    </pattern>
    
    <pattern>
        <title>Zender en ontvanger</title>
        <rule context="hl7:RCMR_IN000102NL/hl7:sender/hl7:device/hl7:id">
            <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6'"
                >De zender van deze interactie moet een applicatie zijn</assert>
        </rule>
        <rule context="hl7:RCMR_IN002302NL/hl7:receiver/hl7:device/hl7:id">
            <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6'"
                >De ontvanger van deze interactie moet een applicatie zijn</assert>
        </rule>
    </pattern>

</schema>
